name: Eventwarp
main: de.jolly.eventwarp.main.EventwarpMain
version: 3.0/1.15.2
author: _Jolly_
depend: [CodeTools]
api-version: 1.15
commands:
  eventwarp:
    description: Eventwarp-Befehle
    usage: /eventwarp
  event:
    description: Tritt dem Event bei!
    usage: /event | /event commands
permissions:
  eventwarp.*:
    description: Allows you any action on the Eventwarp
    default: false
    children:
      eventwarp.mod: true
      eventwarp.areamarker: true
  eventwarp.mod:
    description: Allows any action designed for mods
    children:
      eventwarp.attach: true
      eventwarp.supporter: true
      eventwarp.ban: true
      eventwarp.bypassban: true
      eventwarp.add: true
      eventwarp.equipment: true
      eventwarp.spawnpoints: true
      eventwarp.controlpanel: true
      eventwarp.commandblocking: true
      eventwarp.reset: true
      eventwarp.teams: true
      eventwarp.lobbymode: true
  eventwarp.supporter:
    description: Allows any action designed for supporters
    children:
      eventwarp.status: true
      eventwarp.open: true
      eventwarp.kick: true
      eventwarp.playerlist: true
      eventwarp.kill: true
      eventwarp.lives: true
      eventwarp.log: true
      
  eventwarp.reset:
    description: Allows you to reset players
    children:
      eventwarp.lives: true
      eventwarp.respawn: true
      eventwarp.spectator: true
  eventwarp.respawn:
    description: Allows you to respawn anyone on the Eventwarp
    children:
      eventwarp.bypassclosed: true
  eventwarp.teams:
    description: Allows you to edit teams and spawn groups
    children:
      eventwarp.spawngroups: true
  eventwarp.areamarker:
    description: Allows you to mark and save areas
    children:
      eventwarp.loadarea: true
    
  eventwarp.open:
    description: Allows you to open and close the Eventwarp
  eventwarp.kick:
    description: Allows you to kick players from the Eventwarp
  eventwarp.bypassclosed:
    description: Allows you to enter the event even when it's closed
  eventwarp.bypassban:
    description: Allows you to enter the event even when you're banned
  eventwarp.add:
    description: Allows you to add players to the Eventwarp
  eventwarp.ban:
    description: Allows you to ban or unban players from the Eventwarp
  eventwarp.equipment:
    description: Allows you to edit the equipment of the Eventwarp
  eventwarp.controlpanel:
    description: Allows you to access the Eventwarp's controlpanel
  eventwarp.spawnpoints:
    description: Allows you to edit the Eventwarp's spawnpoints
  eventwarp.playerlist:
    description: Allows you to see a list of all current players at the Eventwarp
  eventwarp.commandblocking:
    description: Allows you to bypass command blocking at the Eventwarp
  eventwarp.attach:
    description: Allows you to attach other (compatible) plugins to the Eventwarp
  eventwarp.status:
    description: Allows you to view the Eventwarp's status
  eventwarp.kill:
    description: Allows you to just kill players at the Eventwarp by clicking a single button
  eventwarp.spectator:
    description: Allows you to toggle the Spectatormode of any player
  eventwarp.lives:
    description: Allows you to set the player's lives
  eventwarp.log:
    description: Allows you to view the log
  eventwarp.spawngroups:
    description: Allows you to edit spawn groups
  eventwarp.loadarea:
    description: Allows you to load saved areas
  eventwarp.lobbymode:
    description: Allows you to toggle the lobby mode